import { AlertDefinition } from '../../../types';
import { AlertType } from './getAlertType';
/**
 * This logic should be moved into Object factory once we have types on alert definitions
 * @param type AlertType
 */
export declare const getDefaultAlertDefinition: (alertDefinition: AlertDefinition, type: AlertType) => {
    Uuid: string;
    Name: string;
    Scope: import("../../../types").ColumnScope;
    Rule: import("../../../types").AlertRule;
    MessageType: import("../../../types").AdaptableMessageType;
    MessageHeader?: string;
    MessageText?: string;
    AlertProperties?: import("../../../types").AlertProperties;
    AlertForm?: string | import("../../../types").AlertButtonForm;
    IsSuspended?: boolean;
    Source?: "InitialState" | "User";
    AdaptableVersion?: import("../../../types").AdaptableVersion;
    IsReadOnly?: boolean;
    Tags?: import("../../../types").AdaptableObjectTag[];
    Metadata?: any;
};
